Skip to navigation

Pre Encounter Coverages V 1 Get

gets a specific Coverage

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier for a Coverage in the database

Response

deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
idstringformat: "uuid"
The unique identifier for a Coverage in the database
insurance_planobject
organization_idstring
The organization that owns this object.
patientstring
The canonical Taiga patient UUID corresponding with the patient who benefits from the insurance coverage
relationshipenum

The relationship of beneficiary (patient) to the subscriber. https://hl7.org/fhir/valueset-relationship.html

Allowed values:
statusenum
The status indiciating if the coverage is active or not.
Allowed values:
subscriberobject

The party who has signed-up for or ‘owns’ the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due.

updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
verifiedboolean
A boolean indicating if the coverage has been verified by a user.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
auto_update_enabledboolean or nullOptional
Default to true. When set to true, the Taiga system will automatically update this coverage with the latest eligibility check benefits information. Auto update behavior is also set at the eligibilityConfig org level configuration.
benefitsobject or nullOptional
The eligibility of the patient for the coverage, manually verified by users.
eligibility_checkslist of objects or nullOptional
A list of eligibility check metadata that have been initiated on this coverage.
latest_eligibility_checkobject or nullOptional
The latest eligibility check metadata that has been initiated on this coverage.
orconboolean or nullOptional

ORCON (Originator Controlled) - When set to true, the Taiga system will hide this coverage from downstream integrations. Updates made in the Taiga UI will unset this flag. Defaults to false.

previous_appointment_copaysmap from strings to integers or nullOptional

A map of UniversalServiceIdentifier (MD_Visit, Treatment, Tests, Activity) to copay values in cents. This is used to track copay values for each service type to handle OOP max resets correctly.